Name:     libfixposix
Summary:  POSIX syscall wrappers
Version:  0.5.1
Release:  0
License:  BSL-1.0
Group:    Development/Libraries/C and C++
URL:      https://github.com/sionescu/%{name}
Source:   https://github.com/sionescu/%{name}/releases/download/v%{version}/%{name}_%{version}.tar.xz

%define srcdir %{name}

BuildRequires:  check-devel pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Thin wrapper over POSIX syscalls and some replacement functionality, most notably lfp_spawn().

%package -n libfixposix4
Summary:        Shared library for libfixposix
Group:          Development/Libraries/C and C++

%description -n libfixposix4
Thin wrapper over POSIX syscalls.

%package -n libfixposix-devel
Summary:        Development files
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       libfixposix4 = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
Header files, static libraries and API documentation for using libfixposix.

%prep
%setup -q -n %{srcdir}

%build
%configure --enable-static --enable-tests
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libfixposix4 -p /sbin/ldconfig
%postun -n libfixposix4 -p /sbin/ldconfig

%files -n libfixposix4
%defattr(-,root,root)
%{_libdir}/lib*so.*

%files -n libfixposix-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/libfixposix.pc
